Subject: Response to Complaint ID 12149723 - Attention: Linda Jones
From: "LLPS Customer Service" <[email-masked]>
To: <[email-masked]>
Date: Tue, 23 May 2017 13:20:08 -0400

Hello Ms Jones.
I am in receipt of a complaint that has been assigned to our company but it is actually another company the complaint should be directed at. We have recently found out that a new company was formed and they in fact have been using our name. Our legal counsel has reached out to them to request that they cease using our name. According to Sunbiz, they are registered as Labor Law Poster Service, LLC with Estevez Cesar as the CEO and located at 331 E. Hallandale Beach Blvd., Hallendale, FL 33009 (see link below).  

http://search.sunbiz.org/Inquiry/CorporationSearch/SearchResultDetail?inquirytype=EntityName&directionType=Initial&searchNameOrder=LABORLAWPOSTERSERVICE%20L170000335260&aggregateId=flal-l17000033526-cb9bd89c-3275-4ec1-9b4b-1aafc0524c1c&searchTerm=labor%20law%20poster%20service&listNameOrder=LABORLAWPOSTERSERVICE%20L170000335260

We are registered in Michigan under our corporate name  under as Mandatory Poster Agency, Inc but have been using a DBA of Labor Law Poster Service since 2000. This company has since changed their name to Labor Poster Services. Our pricing is different and we have never mailed any solicitations to Every Angle Inspectors which is the company associated with Chris Cordier and the address listed. Also, we do not list any fines on our solicitatiuons.
   This has caused a great amount of confusion and I am unsure the best way to handle this complaint. I can register a formal response if that is necessary to get this moved to the proper company. Please let me know how you would prefer me to proceed. 
Thank you,
Michael B
LLPS